<h3 class="text-primary text-center pt-2 mb-0">Modification</h3>
<form [formGroup]="form" class="px-4 py-3" (ngSubmit)="submitForm()">
  <div class="form-floating mb-3">
    <input formControlName="oldPassword" type="password" name="oldPassword"
      [ngClass]="{'is-invalid':oldPassword?.errors && oldPassword?.touched,'is-valid':!oldPassword?.errors && oldPassword?.touched}"
      class="form-control" id="oldPassword">
    <label for="oldPassword">Ancien mot de passe</label>
    <div *ngIf="oldPassword?.errors?.['required']" class="invalid-feedback">
      Ce champ est requis
    </div>
  </div>
  <div class="form-floating mb-3">
    <input formControlName="newPassword" type="password" name="newPassword"
      [ngClass]="{'is-invalid':newPassword?.errors && newPassword?.touched,'is-valid':!newPassword?.errors && newPassword?.touched}"
      class="form-control" id="newPassword">
    <label for="newPassword">Nouveau mot de passe</label>
    <div *ngIf="newPassword?.errors?.['required']" class="invalid-feedback">
      Ce champ est requis
    </div>
  </div>
  <div class="form-floating mb-3">
    <input formControlName="repeatPassword" type="password" name="repeatPassword" [ngClass]="{'is-invalid':form.errors?.['NoPassswordMatch'] && newPassword?.touched && repeatPassword?.touched,
      'is-valid':!form.errors?.['NoPassswordMatch'] && newPassword?.touched && repeatPassword?.touched}"
      class="form-control" id="repeatPassword">
    <label for="repeatPassword">Répétez nouveau mot de passe</label>
    <div *ngIf="form.errors?.['NoPassswordMatch']" class="invalid-feedback">
      Les mots de passe sont différents
    </div>
  </div>
  <div class="vstack">
    <p *ngIf="hasError" class="text-danger text-center">Identifiant/Mot de passe invalide</p>
    <div class="d-flex justify-content-evenly">
      <button class="btn btn-secondary" (click)="close()">Fermer</button>
      <button type="submit" [disabled]="!form.valid" class="btn btn-primary">Valider</button>
    </div>
  </div>
</form>